l<template>
  <div class="pd10" v-loading="isLoading" element-loading-text="数据加载中">
    <el-row>
      <el-col>
        <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
          <el-tab-pane label="监测点台账信息" name="first" :style="'height:' + vh + ';'">
            <Accountinformation      @Loading="Loading"></Accountinformation>
          </el-tab-pane>
        </el-tabs>
      </el-col> 
    </el-row>
  </div>
</template>
<script>
import Accountinformation from './components/Accountinformation';
export default {
  name:'reductionledger',
  components: { Accountinformation },
  data() {
    return {
      vh: "",
      activeName: "first",
      device:'',
      isLoading: true,

    };
  },
  created() {
  },
  mounted() {
 
    this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },


    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
          this.device = window.devicePixelRatio;
    this.vh = window.sessionStorage.getItem('appheight') - 85 + "px";
     
        },

    handleClick(tab, event) {
      // console.log(tab, event);
    },
       Loading(e) {
      this.isLoading = e;
    },
  },                 
};
</script>
<style lang="less" scoped>
@import url("../../../styles/comStyle.less");
::v-deep .el-table .cell {
  text-align: center;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
  padding: 10px;
}
</style>
